package com.common.commonlib.image.config

import com.bumptech.glide.load.resource.drawable.DrawableTransitionOptions

/**
 * 转换配置
 * @param time 动画时长
 *
 * @author wangym
 * @since 2021/7/28
 */
class GlideTransitionConfig(time: Int?) {
    val transition: DrawableTransitionOptions = if (time != null) {
        DrawableTransitionOptions.withCrossFade(time)
    } else {
        DrawableTransitionOptions.withCrossFade()
    }
}